%global modulename any-promise

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-any-promise
Version:        1.3.0
Release:        1%{?dist}
Summary:        Resolve any installed ES6 compatible promise

License:        MIT
URL:            http://github.com/kevinbeaty/any-promise
Source0:        https://registry.npmjs.org/any-promise/-/any-promise-1.3.0.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
Resolve any installed ES6 compatible promise

%package 1.3.0
Summary:        Resolve any installed ES6 compatible promise


%description 1.3.0
Resolve any installed ES6 compatible promise

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .jshintrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr implementation.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr implementation.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr loader.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr optional.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr register %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr register-shim.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr register.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr register.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.3.0
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Dec 4 2018 npm2srpm <dshea@redhat.com> - 1.3.0-1
- Package automatically generated by npm2srpm
